Correctly sets the language when there is no Last.fm.conf file. If you need to
change the language after that, you can do so in Tools | Options | Account.
Fixes Debian bug #432232.
--- a/src/libUnicorn/Settings.h
+++ b/src/libUnicorn/Settings.h
@@ -226,6 +226,17 @@
         QString langCode = customAppLanguage();
         if ( langCode.isEmpty() )
         {
+            #ifdef LINUX
+            // Now check the environment including LC_MESSAGES
+            // This fixes Debian bug #432232
+            if ( langCode.isEmpty() )
+                langCode = qgetenv( "LC_ALL" );
+            if ( langCode.isEmpty() )
+                langCode = qgetenv( "LC_MESSAGES" );
+            if ( langCode.isEmpty() )
+                langCode = qgetenv( "LANG" );
+            #endif
+
             // If none found, use system locale
             #ifdef Q_WS_MAC
             QLocale::Language qtLang = UnicornUtils::osxLanguageCode();
